org.appng.xml.application

## Class PackageInfo

- java.lang.Object
- - org.appng.xml.application.PackageInfo

- Direct Known Subclasses:
    ApplicationInfo, Template

      public abstract class PackageInfo
      extends Object

  Java class for packageInfo complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="packageInfo">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="display-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="long-description" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="version" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="timestamp" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="appng-version" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `appngVersion`
    `protected String` | `description`
    `protected String` | `displayName`
    `protected String` | `longDescription`
    `protected String` | `name`
    `protected String` | `timestamp`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppngVersion()` Gets the value of the appngVersion property.
    `String` | `getDescription()` Gets the value of the description property.
    `String` | `getDisplayName()` Gets the value of the displayName property.
    `String` | `getLongDescription()` Gets the value of the longDescription property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getTimestamp()` Gets the value of the timestamp property.
    `String` | `getVersion()` Gets the value of the version property.
    `void` | `setAppngVersion(String value)` Sets the value of the appngVersion property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setDisplayName(String value)` Sets the value of the displayName property.
    `void` | `setLongDescription(String value)` Sets the value of the longDescription property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setTimestamp(String value)` Sets the value of the timestamp property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### displayName

          protected String displayName

    - #### description

          protected String description

    - #### longDescription

          protected String longDescription

    - #### version

          protected String version

    - #### timestamp

          protected String timestamp

    - #### appngVersion

          protected String appngVersion

  - ### Constructor Detail

    - #### PackageInfo

          public PackageInfo()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDisplayName

          public String getDisplayName()

      Gets the value of the displayName property.
      Returns:
        possible object is `String`

    - #### setDisplayName

          public void setDisplayName(String value)

      Sets the value of the displayName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLongDescription

          public String getLongDescription()

      Gets the value of the longDescription property.
      Returns:
        possible object is `String`

    - #### setLongDescription

          public void setLongDescription(String value)

      Sets the value of the longDescription property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestamp

          public String getTimestamp()

      Gets the value of the timestamp property.
      Returns:
        possible object is `String`

    - #### setTimestamp

          public void setTimestamp(String value)

      Sets the value of the timestamp property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAppngVersion

          public String getAppngVersion()

      Gets the value of the appngVersion property.
      Returns:
        possible object is `String`

    - #### setAppngVersion

          public void setAppngVersion(String value)

      Sets the value of the appngVersion property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.